<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bigint_3_mbigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_2_mbigint.html">&lt;&lt; bigint_2_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_4_mbigint.html">bigint_4_mbigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; bigint_3_mbigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bigint_3_mbigint</h1>
    <p class="refpurpose">overloading compatibility for ≤ (lower or equal) operator for bigint/mbigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">A:</span>
            <dd><p class="para">mbigint</p></dd></dt>
        <dt><span class="term">x :</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">bool :</span>
            <dd><p class="para">boolean matrix</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">bigint/mbigint &#0034;lower or equal&#0034; operator</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">123456789</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">02345678</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">z</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">1234567890</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilabid">y</span><span class="scilabdefault">;</span> <span class="scilabid">z</span> <span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabopenclose">]</span>
<span class="scilabid">x</span><span class="scilaboperator">&#0060;=</span><span class="scilabid">M</span>
<span class="scilabid">y</span><span class="scilaboperator">&#0060;=</span><span class="scilabid">M</span>
<span class="scilabid">z</span><span class="scilaboperator">&#0060;=</span><span class="scilabid">M</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="mbigint_3_bigint.html" class="link">mbigint_3_bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_2_mbigint.html">&lt;&lt; bigint_2_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_4_mbigint.html">bigint_4_mbigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
